/* $Id: PojoPathFunctionManagerImpl.java 585 2008-10-13 19:41:13Z hohwille $
 * Copyright (c) The m-m-m Team, Licensed under the Apache License, Version 2.0
 * http://www.apache.org/licenses/LICENSE-2.0 */
package net.sf.mmm.util.pojo.path.impl;

import java.util.Map;

import net.sf.mmm.util.pojo.path.api.PojoPathFunction;
import net.sf.mmm.util.pojo.path.base.DefaultPojoPathFunctionManager;

/**
 * This is the implementation of the
 * {@link net.sf.mmm.util.pojo.path.api.PojoPathFunctionManager}.
 * 
 * @author Joerg Hohwiller (hohwille at users.sourceforge.net)
 */
@SuppressWarnings("unchecked")
public class PojoPathFunctionManagerImpl extends DefaultPojoPathFunctionManager {

  /** @see #setFunctions(Map) */
  private Map<String, PojoPathFunction> functions;

  /**
   * The constructor.
   */
  public PojoPathFunctionManagerImpl() {

    super();
  }

  /**
   * {@inheritDoc}
   */
  @Override
  protected void doInitialize() {

    super.doInitialize();
    if (this.functions == null) {
      // registerFunction(function, functionName);
    } else {
      for (String key : this.functions.keySet()) {
        registerFunction(this.functions.get(key), key);
      }
    }
  }

  /**
   * @param functions is the functions to set
   */
  public void setFunctions(Map<String, PojoPathFunction> functions) {

    getInitializationState().requireNotInitilized();
    this.functions = functions;
  }

}
